﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace trueTypeASP
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            string path=Server.MapPath("~/App_Data/Document 2.pdf");
            PdfLoadedDocument ldoc = new PdfLoadedDocument(path);

            string fontPath=Server.MapPath("~/App_Data/Vrinda.ttf");

            PdfFont font = new PdfTrueTypeFont(fontPath, 32,PdfFontStyle.Bold);

            for(int i=0;i<ldoc.Pages.Count;i++)
            {
                PdfLoadedPage page=ldoc.Pages[i] as PdfLoadedPage;
                page.Graphics.DrawString(TextBox1.Text, font, PdfBrushes.Black, new PointF(page.Graphics.ClientSize.Width / 2, 10.0f));
            }

            ldoc.Save("Output.pdf", Response, HttpReadType.Save);
            ldoc.Close(true);
           
        }
    }
}